Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Enum TransitionType

    java.lang.Object
      java.lang.Enum<TransitionType>
          umontreal.iro.lecuyer.contactcenters.ctmc.TransitionType

All Implemented Interfaces:
  Serializable, Comparable<TransitionType>

    public enum TransitionType

extends Enum<TransitionType>

Represents the type of a transition performed by the `CallCenterCTMC.nextState(double)` method.

Enum Constant Summary
`ABANDONMENT` A queued contacts abandons, i.e., leaves the queue without receiving service.
`ARRIVALBALKED` Arrival with balking (immediate abandonment).
`ARRIVALBLOCKED` Arrival and blocking due to exceeded queue capacity.
`ARRIVALQUEUED` Arrival and waiting in queue.
`ARRIVALSERVED` Arrival with immediate service.
`ENDSERVICEANDDEQUEUE` An agent terminates a service, and receives a new queued contact to serve.
`ENDSERVICENODEQUEUE` An agent terminates a service, and remains free because of no available queued contacts.
`FALSETRANSITION` Fictious transition not affecting the state of the CTMC.

Method Summary
`static TransitionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransitionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ARRIVALSERVED

    public static final TransitionType ARRIVALSERVED

  Arrival with immediate service.

### ARRIVALBALKED

    public static final TransitionType ARRIVALBALKED

  Arrival with balking (immediate abandonment).

### ARRIVALQUEUED

    public static final TransitionType ARRIVALQUEUED

  Arrival and waiting in queue.

### ARRIVALBLOCKED

    public static final TransitionType ARRIVALBLOCKED

  Arrival and blocking due to exceeded queue capacity.

### ENDSERVICEANDDEQUEUE

    public static final TransitionType ENDSERVICEANDDEQUEUE

  An agent terminates a service, and receives a new queued contact to serve.

### ENDSERVICENODEQUEUE

    public static final TransitionType ENDSERVICENODEQUEUE

  An agent terminates a service, and remains free because of no available queued contacts.

### ABANDONMENT

    public static final TransitionType ABANDONMENT

  A queued contacts abandons, i.e., leaves the queue without receiving service.

### FALSETRANSITION

    public static final TransitionType FALSETRANSITION

  Fictious transition not affecting the state of the CTMC.

Method Detail

### values

    public static TransitionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TransitionType c : TransitionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TransitionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.